package epson.print;

import android.app.AlertDialog;
import android.arch.lifecycle.Observer;
import android.arch.lifecycle.ViewModelProviders;
import android.content.ComponentName;
import android.content.Context;
import android.content.DialogInterface;
import android.content.Intent;
import android.content.IntentFilter;
import android.content.ServiceConnection;
import android.content.SharedPreferences;
import android.content.res.Configuration;
import android.graphics.Bitmap;
import android.graphics.Point;
import android.graphics.Rect;
import android.os.Bundle;
import android.os.Handler;
import android.os.IBinder;
import android.os.Message;
import android.os.RemoteException;

import android.support.p000v4.app.FragmentActivity;
import android.view.Display;
import android.view.Menu;
import android.view.MenuItem;
import android.view.MotionEvent;
import android.view.View;
import android.widget.Button;
import android.widget.ImageView;
import android.widget.LinearLayout;
import android.widget.RelativeLayout;
import android.widget.TextView;
import android.widget.Toast;

import com.epson.iprint.prtlogger.PrintLog;
import com.epson.mobilephone.common.ReviewInvitationDialog;
import com.epson.mobilephone.common.ReviewInvitationViewModel;
import com.epson.mobilephone.common.escpr.MediaInfo;
import com.epson.mobilephone.common.wifidirect.NfcTagUtils;

import org.opencv.videoio.Videoio;

import java.util.ArrayList;

import epson.common.Constants;
import epson.common.ExternalFileUtils;
import epson.common.Info_paper;
import epson.print.Util.AsyncTaskExecutor;
import epson.print.Util.EPLog;
import epson.print.Util.Photo;
import epson.print.screen.PaperSourceInfo;
import epson.print.screen.PaperSourceSetting;
import epson.print.screen.PaperSourceSettingScr;
import epson.print.screen.PrintProgress;
import epson.print.screen.PrintSetting;
import epson.print.screen.SettingScr;
import epson.print.screen.WorkingDialog;
import epson.print.service.EpsonService;
import epson.print.service.IEpsonService;
import epson.print.service.IEpsonServiceCallback;

public class ActivityPrintWeb extends ActivityIACommon implements CommonDefine, View.OnClickListener, ReviewInvitationDialog.OnClickListener {
    private static final String DIALOG_KEY_STORE_DIALOG = "store-dialog";
    public static final String PARAMS_KEY_WEB_PRINT_LOG = "print_log";
    public static final String PREFS_NAME = "PrintSetting";
    public static final boolean REFRESH = false;
    private static final String TAG = "ActivityPrintWeb";
    private final int ERROR_IMAGE_CODE = 1;
    private final int ERROR_PRINT_SETTING = 2;
    private final int INIT = 5;
    private final int REDRAW_PREVIEW = 6;
    private RelativeLayout.LayoutParams Relative_para;
    private final int START_PRINT = 4;
    private ArrayList<PaperSourceSetting> aPaperSourceSetting;
    private ArrayList<String> addImageView = new ArrayList<>();
    boolean bAutoStartPrint = false;

    /* renamed from: bm */
    private Bitmap f334bm = null;
    private boolean enableShowWarning = true;
    private String fileName2User;
    private int fromActivity = 2;
    private EPImageList imageList = new EPImageList();
    private boolean isCustomAction = false;
    private boolean isRemotePrinter = false;
    private IEpsonServiceCallback mCallback = new IEpsonServiceCallback.Stub() {
        public void onFindPrinterResult(String str, String str2, String str3, String str4, String str5) throws RemoteException {
        }

        public void onGetInkState() throws RemoteException {
        }

        public void onGetStatusState() throws RemoteException {
        }

        public void onNotifyContinueable(int i) throws RemoteException {
        }

        public void onNotifyEndJob(int i) throws RemoteException {
        }

        public void onNotifyError(int i, int i2, boolean z) throws RemoteException {
        }

        public void onNotifyProgress(int i, int i2) throws RemoteException {
        }
    };
    private int mColorMode;
    private Context mContext = null;
    private int mCurrentPage;
    private Display mDisplay;
    private int mEndPage;
    private ServiceConnection mEpsonConnection = new ServiceConnection() {
        public void onServiceDisconnected(ComponentName componentName) {
            try {
                ActivityPrintWeb.this.mEpsonService.unregisterCallback(ActivityPrintWeb.this.mCallback);
            } catch (RemoteException e) {
                e.printStackTrace();
            }
            IEpsonService unused = ActivityPrintWeb.this.mEpsonService = null;
        }

        public void onServiceConnected(ComponentName componentName, IBinder iBinder) {
            IEpsonService unused = ActivityPrintWeb.this.mEpsonService = IEpsonService.Stub.asInterface(iBinder);
            if (ActivityPrintWeb.this.mEpsonService != null) {
                try {
                    ActivityPrintWeb.this.mEpsonService.registerCallback(ActivityPrintWeb.this.mCallback);
                } catch (RemoteException e) {
                    e.printStackTrace();
                }
            }
        }
    };
    private IEpsonService mEpsonService = null;
    private int mFileTotalPages;
    private ImageView mImageView;
    private boolean mIsPortrait;
    private int mLayout;
    private int mLayoutMulti;
    private LinearLayout mLn_zoomview;
    private float mMoveX;
    private Button mNext;
    private TextView mPageNum;
    private Info_paper mPaperSize;
    private Button mPre;
    private boolean mPreviewPaperAreaLandscape;
    private Button mPrint;
    private EPImageList mPrintImageList;
    private PrintLog mPrintLog;
    private ReviewInvitationViewModel mReviewInvitationViewModel;
    private RelativeLayout mRl_zoomview;
    private TextView mSizeInfo;
    private int mStartPage;
    private float mStartX;
    Handler mUiHandler = new Handler() {
        public void handleMessage(Message message) {
            int i = message.what;
            if (i != 100) {
                switch (i) {
                    case 1:
                        Toast.makeText(ActivityPrintWeb.this.mContext, ActivityPrintWeb.this.getString(R.string.str_err_msg_out_of_memory_title), 1).show();
                        return;
                    case 2:
                        Toast.makeText(ActivityPrintWeb.this.mContext, ActivityPrintWeb.this.getString(R.string.EPS_PRNERR_COMM_TITLE3), 1).show();
                        return;
                    default:
                        switch (i) {
                            case 4:
                                ActivityPrintWeb.this.mPrint.setEnabled(false);
                                SharedPreferences sharedPreferences = ActivityPrintWeb.this.getSharedPreferences("PrintSetting", 0);
                                ActivityPrintWeb.this.printWeb.clear();
                                EPImageList ePImageList = new EPImageList();
                                for (int access$1400 = ActivityPrintWeb.this.mStartPage; access$1400 <= ActivityPrintWeb.this.mEndPage; access$1400++) {
                                    int i2 = access$1400 - 1;
                                    EPImage ePImage = ActivityPrintWeb.this.imageList.get(i2);
                                    ePImage.previewPaperRectLeft = ActivityPrintWeb.this.mLn_zoomview.getLeft() + ActivityPrintWeb.this.mLn_zoomview.getPaddingLeft();
                                    ePImage.previewPaperRectTop = ActivityPrintWeb.this.mLn_zoomview.getTop() + ActivityPrintWeb.this.mLn_zoomview.getPaddingTop();
                                    ePImage.previewPaperRectRight = ActivityPrintWeb.this.mLn_zoomview.getRight() - ActivityPrintWeb.this.mLn_zoomview.getPaddingRight();
                                    ePImage.previewPaperRectBottom = ActivityPrintWeb.this.mLn_zoomview.getBottom() - ActivityPrintWeb.this.mLn_zoomview.getPaddingBottom();
                                    ePImage.previewImageRectLeft = (float) (ActivityPrintWeb.this.mLn_zoomview.getLeft() + ActivityPrintWeb.this.mImageView.getLeft());
                                    ePImage.previewImageRectTop = (float) (ActivityPrintWeb.this.mLn_zoomview.getTop() + ActivityPrintWeb.this.mImageView.getTop());
                                    ePImage.previewImageRectRight = (float) (ActivityPrintWeb.this.mLn_zoomview.getLeft() + ActivityPrintWeb.this.mImageView.getRight());
                                    ePImage.previewImageRectBottom = (float) (ActivityPrintWeb.this.mLn_zoomview.getTop() + ActivityPrintWeb.this.mImageView.getBottom());
                                    ePImage.previewWidth = (int) (ePImage.previewImageRectRight - ePImage.previewImageRectLeft);
                                    ePImage.previewHeight = (int) (ePImage.previewImageRectBottom - ePImage.previewImageRectTop);
                                    if (ePImage.previewPaperRectRight - ePImage.previewPaperRectLeft > ePImage.previewPaperRectBottom - ePImage.previewPaperRectTop) {
                                        ePImage.isPaperLandScape = true;
                                    } else {
                                        ePImage.isPaperLandScape = false;
                                    }
                                    ePImage.isPaperLandScape = ActivityPrintWeb.this.mPreviewPaperAreaLandscape;
                                    EPImage ePImage2 = ActivityPrintWeb.this.imageList.get(i2);
                                    if (ActivityPrintWeb.this.fromActivity == 1) {
                                        ePImage2.setType(4098);
                                    } else {
                                        ePImage2.setType(4097);
                                    }
                                    ePImageList.add(ePImage2);
                                }
                                sharedPreferences.edit();
                                if (ActivityPrintWeb.this.isRemotePrinter) {
                                    SharedPreferences.Editor edit = ActivityPrintWeb.this.getSharedPreferences("PrintSetting", 0).edit();
                                    edit.putInt(Constants.SOURCE_TYPE, 3);
                                    edit.commit();
                                }
                                EPImageList unused = ActivityPrintWeb.this.mPrintImageList = ePImageList;
                                ActivityPrintWeb.this.check3GAndStartPrint();
                                return;
                            case 5:
                                EPLog.m316v(ActivityPrintWeb.TAG, "INIT");
                                if (ActivityPrintWeb.this.mEpsonService == null) {
                                    sendEmptyMessageDelayed(5, 100);
                                    return;
                                } else {
                                    new AsyncTaskExecutor<Void, Void, Void>() {
                                        WorkingDialog progress = new WorkingDialog(ActivityPrintWeb.this);

                                        protected void onPreExecute() {
                                            super.onPreExecute();
                                            this.progress.show();
                                        }

                                        protected Void doInBackground(Void... voidArr) {
                                            try {
                                                if (ActivityPrintWeb.this.mEpsonService == null) {
                                                    return null;
                                                }
                                                if (ActivityPrintWeb.this.isRemotePrinter) {
                                                    ActivityPrintWeb.this.mEpsonService.EpsonConnectUpdatePrinterSettings(PrintSetting.Kind.document.name());
                                                    return null;
                                                }
                                                ActivityPrintWeb.this.mEpsonService.updatePrinterSettings(PrintSetting.Kind.document.name());
                                                return null;
                                            } catch (RemoteException e) {
                                                e.printStackTrace();
                                                return null;
                                            }
                                        }

                                        protected void onPostExecute(Void voidR) {
                                            super.onPostExecute(voidR);
                                            ActivityPrintWeb.this.setOrentationView(ActivityPrintWeb.this.mIsPortrait);
                                            ActivityPrintWeb.this.mLn_zoomview.setVisibility(0);
                                            if (this.progress.isShowing()) {
                                                this.progress.dismiss();
                                            }
                                            if (ActivityPrintWeb.this.bAutoStartPrint) {
                                                ActivityPrintWeb.this.onClick(ActivityPrintWeb.this.mPrint);
                                                EPLog.m305d(ActivityPrintWeb.TAG, "onClick(mPrint)");
                                                ActivityPrintWeb.this.bAutoStartPrint = false;
                                            }
                                        }
                                    }.executeOnExecutor(new Void[0]);
                                    return;
                                }
                            case 6:
                                ActivityPrintWeb.this.mLn_zoomview.invalidate();
                                ActivityPrintWeb.this.mRl_zoomview.invalidate();
                                return;
                            default:
                                return;
                        }
                }
            } else {
                ArrayList unused2 = ActivityPrintWeb.this.aPaperSourceSetting = message.getData().getParcelableArrayList(PaperSourceInfo.KEY_PAPERSOURCEINFO);
                if (ActivityPrintWeb.this.aPaperSourceSetting != null) {
                    ActivityPrintWeb.this.mSizeInfo.setBackgroundColor(ActivityPrintWeb.this.getResources().getColor(R.color.epson_blue));
                    ActivityPrintWeb.this.mSizeInfo.setTextColor(ActivityPrintWeb.this.getResources().getColor(R.color.all_white));
                    PrintSetting printSetting = new PrintSetting(ActivityPrintWeb.this, PrintSetting.Kind.document);
                    printSetting.loadSettings();
                    if (ActivityPrintWeb.this.paperSourceInfo.checkPaperMissmatch(printSetting, ActivityPrintWeb.this.aPaperSourceSetting)) {
                        ActivityPrintWeb.this.paperMissmath.setVisibility(0);
                    } else {
                        ActivityPrintWeb.this.paperMissmath.setVisibility(8);
                    }
                } else {
                    ActivityPrintWeb.this.mSizeInfo.setBackground(ActivityPrintWeb.this.getResources().getDrawable(R.C2136drawable.text_view_boder));
                    ActivityPrintWeb.this.mSizeInfo.setTextColor(ActivityPrintWeb.this.getResources().getColor(R.color.epson_blue));
                    ActivityPrintWeb.this.paperMissmath.setVisibility(8);
                }
            }
        }
    };
    private ImageView paperMissmath = null;
    private int paperSize;
    PaperSourceInfo paperSourceInfo = null;
    ArrayList<String> printWeb = new ArrayList<>();
    private String printerId;

    protected void onCreate(Bundle bundle) {
        super.onCreate(bundle);
        setContentView((int) R.layout.print_web);
        this.mContext = this;
        setActionBar((int) R.string.web_btn_label, true);
        this.mReviewInvitationViewModel = (ReviewInvitationViewModel) ViewModelProviders.m2of((FragmentActivity) this).get(ReviewInvitationViewModel.class);
        this.mReviewInvitationViewModel.getShowInvitationLiveData().observe(this, new Observer<Boolean>() {
            public void onChanged(@Nullable Boolean bool) {
                if (bool.booleanValue()) {
                    ActivityPrintWeb.this.showStoreDialog();
                }
            }
        });
        Intent intent = getIntent();
        if (intent == null) {
            EPLog.m318w(TAG, "intent == null");
            finish();
            return;
        }
        this.fromActivity = intent.getIntExtra("from", 2);
        this.addImageView = intent.getStringArrayListExtra("print_web");
        if (this.addImageView == null) {
            EPLog.m318w(TAG, "intent.getStringArrayListExtra(\"print_web\") returns null. action " + intent.getAction());
            finish();
            return;
        }
        String stringExtra = intent.getStringExtra("print_url");
        this.isCustomAction = intent.getBooleanExtra("from_customaction", false);
        try {
            this.mPrintLog = (PrintLog) intent.getSerializableExtra("print_log");
        } catch (ClassCastException unused) {
        }
        for (int i = 0; i < this.addImageView.size(); i++) {
            EPImage ePImage = new EPImage(this.addImageView.get(i), i);
            ePImage.webUrl = stringExtra;
            this.imageList.add(ePImage);
        }
        this.mLn_zoomview = (LinearLayout) findViewById(R.id.ln_web_zoomview);
        this.mRl_zoomview = (RelativeLayout) findViewById(R.id.rl_web_zoomview);
        this.mPrint = (Button) findViewById(R.id.btn_web_print);
        this.mImageView = (ImageView) findViewById(R.id.web_zoomview);
        this.mIsPortrait = true;
        this.mSizeInfo = (TextView) findViewById(R.id.tv_web_page_size);
        this.mPrint.setOnClickListener(this);
        this.mSizeInfo.setOnClickListener(this);
        this.paperMissmath = (ImageView) findViewById(R.id.icon_papermissmatch);
        this.mPageNum = (TextView) findViewById(R.id.tv_page_num);
        this.mNext = (Button) findViewById(R.id.btn_web_next);
        this.mPre = (Button) findViewById(R.id.btn_web_pre);
        this.mFileTotalPages = this.addImageView.size();
        updateButton();
        this.mPre.setOnClickListener(this);
        this.mPre.setOnTouchListener(new View.OnTouchListener() {
            public boolean onTouch(View view, MotionEvent motionEvent) {
                switch (motionEvent.getAction()) {
                    case 0:
                        ActivityPrintWeb.this.mPre.setBackgroundResource(R.C2136drawable.bt_left_hover);
                        return false;
                    case 1:
                        ActivityPrintWeb.this.mPre.setBackgroundResource(R.C2136drawable.bt_left);
                        return false;
                    default:
                        return false;
                }
            }
        });
        this.mNext.setOnClickListener(this);
        this.mNext.setOnTouchListener(new View.OnTouchListener() {
            public boolean onTouch(View view, MotionEvent motionEvent) {
                switch (motionEvent.getAction()) {
                    case 0:
                        ActivityPrintWeb.this.mNext.setBackgroundResource(R.C2136drawable.bt_right_hover);
                        return false;
                    case 1:
                        ActivityPrintWeb.this.mNext.setBackgroundResource(R.C2136drawable.bt_right_1);
                        return false;
                    default:
                        return false;
                }
            }
        });
        savePageRange2Pre();
        loadConfig();
        this.mImageView.setOnTouchListener(new View.OnTouchListener() {
            public boolean onTouch(View view, MotionEvent motionEvent) {
                Display defaultDisplay = ActivityPrintWeb.this.getWindowManager().getDefaultDisplay();
                Point point = new Point();
                defaultDisplay.getSize(point);
                float f = (float) point.y;
                float f2 = (float) point.x;
                if (f > f2) {
                    f = f2;
                }
                switch (motionEvent.getAction()) {
                    case 0:
                        float unused = ActivityPrintWeb.this.mStartX = motionEvent.getX();
                        float unused2 = ActivityPrintWeb.this.mMoveX = 0.0f;
                        break;
                    case 1:
                        ActivityPrintWeb activityPrintWeb = ActivityPrintWeb.this;
                        float unused3 = activityPrintWeb.mMoveX = activityPrintWeb.mStartX - motionEvent.getX();
                        break;
                }
                float f3 = f / 10.0f;
                if (ActivityPrintWeb.this.mMoveX > f3) {
                    ActivityPrintWeb.this.nextPage();
                    return true;
                } else if (ActivityPrintWeb.this.mMoveX >= f3 * -1.0f) {
                    return true;
                } else {
                    ActivityPrintWeb.this.prevPage();
                    return true;
                }
            }
        });
        int i2 = this.fromActivity;
        if (i2 == 1) {
            setTitle(getString(R.string.str_scan));
        } else if (i2 != 4) {
            setTitle(getString(R.string.web_btn_label));
        } else {
            setTitle(getString(R.string.network_storage_title));
        }
        this.mPrint.setEnabled(true);
        this.mCurrentPage = 1;
        this.mLn_zoomview.setVisibility(8);
        updateTextView();
        this.enableShowWarning = getSharedPreferences(Constants.PREFS_EPSON_CONNECT, 0).getBoolean(Constants.ENABLE_SHOW_WARNING, true);
        this.isRemotePrinter = MyPrinter.isRemotePrinter(this);
        this.paperSourceInfo = PaperSourceInfo.getInstance(this);
        if (this.mEpsonService == null) {
            bindService(new Intent(this, EpsonService.class), this.mEpsonConnection, 1);
            this.mUiHandler.sendEmptyMessage(5);
        }
    }

    private void showStoreDialog() {
        ReviewInvitationDialog.newInstance().show(getSupportFragmentManager(), DIALOG_KEY_STORE_DIALOG);
    }

    public void onClick(View view) {
        int id = view.getId();
        if (id != R.id.tv_web_page_size) {
            switch (id) {
                case R.id.btn_web_next /*2131230880*/:
                    nextPage();
                    return;
                case R.id.btn_web_pre /*2131230881*/:
                    prevPage();
                    return;
                case R.id.btn_web_print /*2131230882*/:
                    this.isRemotePrinter = MyPrinter.isRemotePrinter(this);
                    if (this.isRemotePrinter && this.enableShowWarning) {
                        AlertDialog.Builder cancelable = new AlertDialog.Builder(this.mContext).setCancelable(false);
                        cancelable.setMessage(getString(R.string.epsonconnect_str_remote_print_warning) + "\n\n" + getString(R.string.epsonconnect_str_remote_print_warning2)).setPositiveButton(getString(R.string.str_yes), new DialogInterface.OnClickListener() {
                            public void onClick(DialogInterface dialogInterface, int i) {
                                ActivityPrintWeb.this.mUiHandler.sendEmptyMessage(4);
                            }
                        }).setNegativeButton(getString(R.string.str_no), new DialogInterface.OnClickListener() {
                            public void onClick(DialogInterface dialogInterface, int i) {
                            }
                        }).show();
                        return;
                    } else if (this.fileName2User.equalsIgnoreCase(getString(R.string.str_lbl_title_scan))) {
                        new AlertDialog.Builder(this.mContext).setCancelable(false).setTitle(R.string.printer_not_select).setMessage(getString(R.string.printer_notselect_warning)).setPositiveButton(getString(R.string.str_ok), new DialogInterface.OnClickListener() {
                            public void onClick(DialogInterface dialogInterface, int i) {
                            }
                        }).show();
                        return;
                    } else {
                        this.mUiHandler.sendEmptyMessage(4);
                        return;
                    }
                default:
                    return;
            }
        } else if (this.aPaperSourceSetting != null) {
            Intent intent = new Intent();
            intent.setClass(this, PaperSourceSettingScr.class);
            intent.putExtra(PaperSourceSettingScr.PRINT_SETTING_TYPE, PrintSetting.Kind.document.name());
            intent.putParcelableArrayListExtra(PaperSourceInfo.KEY_PAPERSOURCEINFO, this.aPaperSourceSetting);
            startActivityForResult(intent, 6);
        } else {
            callPrintSetting();
        }
    }

    private void nextPage() {
        int i = this.mCurrentPage;
        if (i < this.mFileTotalPages) {
            this.mCurrentPage = i + 1;
            setNewImageView(this.mCurrentPage - 1);
            updateTextView();
            updateButton();
        }
    }

    private void prevPage() {
        int i = this.mCurrentPage;
        if (1 < i) {
            this.mCurrentPage = i - 1;
            setNewImageView(this.mCurrentPage - 1);
            updateTextView();
            updateButton();
        }
    }

    private void updateButton() {
        int i = this.mFileTotalPages;
        if (i > 1) {
            if (this.mCurrentPage == i) {
                this.mNext.setVisibility(8);
            } else {
                this.mNext.setVisibility(0);
            }
            int i2 = this.mCurrentPage;
            if (i2 == 1 || i2 == 0) {
                this.mPre.setVisibility(8);
            } else {
                this.mPre.setVisibility(0);
            }
        } else {
            this.mNext.setVisibility(8);
            this.mPre.setVisibility(8);
        }
    }

    public boolean onCreateOptionsMenu(Menu menu) {
        super.onCreateOptionsMenu(menu);
        getMenuInflater().inflate(R.C2138menu.print_menu, menu);
        return true;
    }

    public boolean onOptionsItemSelected(MenuItem menuItem) {
        if (menuItem.getItemId() == R.id.Menu_Show_PrintSettings) {
            callPrintSetting();
        }
        return super.onOptionsItemSelected(menuItem);
    }

    private void check3GAndStartPrint() {
        startPrint();
    }

    private void startPrint() {
        if (this.mPrintLog == null) {
            this.mPrintLog = new PrintLog();
        }
        PrintLog printLog = this.mPrintLog;
        printLog.previewType = 3;
        startActivityForResult(PrintProgress.getPrintIntent(this, this.mPrintImageList, true, false, printLog), 255);
    }

    public void onConfigurationChanged(Configuration configuration) {
        super.onConfigurationChanged(configuration);
        setOrentationView(this.mIsPortrait);
    }

    public void setOrentationView(boolean z) {
        int i;
        int i2;
        try {
            loadConfig();
            this.mDisplay = getWindowManager().getDefaultDisplay();
            int paper_width = this.mPaperSize.getPaper_width();
            int paper_height = this.mPaperSize.getPaper_height();
            if (this.mLayoutMulti != 0) {
                int i3 = this.mLayoutMulti;
                if (i3 == 65536) {
                    Rect paperSize_2in1 = this.mPaperSize.getPaperSize_2in1();
                    paper_height = paperSize_2in1.width();
                    paper_width = paperSize_2in1.height();
                    Rect printingArea_2in1 = this.mPaperSize.getPrintingArea_2in1();
                    i = printingArea_2in1.width();
                    i2 = printingArea_2in1.height();
                } else if (i3 == 131072 || i3 == 262144) {
                    Rect paperSize_4in1 = this.mPaperSize.getPaperSize_4in1();
                    paper_height = paperSize_4in1.width();
                    paper_width = paperSize_4in1.height();
                    Rect printingArea_4in1 = this.mPaperSize.getPrintingArea_4in1();
                    i = printingArea_4in1.width();
                    i2 = printingArea_4in1.height();
                } else {
                    i2 = 0;
                    i = 0;
                    int i4 = paper_height;
                    paper_height = paper_width;
                    paper_width = i4;
                }
                if (paper_height > paper_width) {
                    int i5 = paper_height;
                    paper_height = paper_width;
                    paper_width = i5;
                    int i6 = i;
                    i = i2;
                    i2 = i6;
                }
            } else if (paper_width > paper_height) {
                i2 = 0;
                i = 0;
            } else {
                i2 = 0;
                i = 0;
                int i7 = paper_height;
                paper_height = paper_width;
                paper_width = i7;
            }
            this.mPreviewPaperAreaLandscape = !z;
            Point point = new Point();
            this.mDisplay.getSize(point);
            if (z) {
                int height = point.y - (this.mPrint.getHeight() * 4);
                double d = (double) paper_width;
                double d2 = (double) paper_height;
                int i8 = (int) ((((double) height) / d) * d2);
                if (i8 > (point.x * 4) / 5) {
                    i8 = (point.x * 4) / 5;
                    height = (int) ((((double) i8) / d2) * d);
                }
                this.Relative_para = new RelativeLayout.LayoutParams(i8, height);
            } else {
                int i9 = (point.x * 4) / 5;
                double d3 = (double) paper_width;
                double d4 = (double) paper_height;
                int i10 = (int) ((((double) i9) / d3) * d4);
                if (i10 > point.y - (this.mPrint.getHeight() * 4)) {
                    i10 = point.y - (this.mPrint.getHeight() * 4);
                    i9 = (int) ((((double) i10) / d4) * d3);
                }
                this.Relative_para = new RelativeLayout.LayoutParams(i9, i10);
            }
            this.Relative_para.addRule(13);
            this.mLn_zoomview.setLayoutParams(this.Relative_para);
            setNewImageView(0);
            this.mCurrentPage = 1;
            updateTextView();
            updateButton();
            if (this.mLayout == 2) {
                if (this.mLayoutMulti == 0) {
                    if (z) {
                        float f = ((float) this.Relative_para.width) / ((float) paper_height);
                        this.mLn_zoomview.setPadding((int) (((float) this.mPaperSize.getLeftMargin_border()) * f), (int) (((float) this.mPaperSize.getTopMargin_border()) * f), (int) (((float) this.mPaperSize.getRightMargin_border()) * f), (int) (((float) this.mPaperSize.getBottomMargin_border()) * f));
                    } else {
                        float f2 = ((float) this.Relative_para.width) / ((float) paper_width);
                        this.mLn_zoomview.setPadding((int) (((float) this.mPaperSize.getTopMargin_border()) * f2), (int) (((float) this.mPaperSize.getRightMargin_border()) * f2), (int) (((float) this.mPaperSize.getBottomMargin_border()) * f2), (int) (((float) this.mPaperSize.getLeftMargin_border()) * f2));
                    }
                } else if (z) {
                    float f3 = ((float) this.Relative_para.width) / ((float) paper_height);
                    int i11 = paper_height - i;
                    int i12 = paper_width - i2;
                    this.mLn_zoomview.setPadding((int) (((float) (i11 / 2)) * f3), (int) (((float) (i12 / 2)) * f3), (int) (((float) (i11 / 2)) * f3), (int) (((float) (i12 / 2)) * f3));
                } else {
                    float f4 = ((float) this.Relative_para.width) / ((float) paper_width);
                    int i13 = paper_width - i2;
                    int i14 = paper_height - i;
                    this.mLn_zoomview.setPadding((int) (((float) (i13 / 2)) * f4), (int) (((float) (i14 / 2)) * f4), (int) (((float) (i13 / 2)) * f4), (int) (((float) (i14 / 2)) * f4));
                }
            }
            this.mUiHandler.sendEmptyMessageDelayed(6, 200);
        } catch (Exception e) {
            e.printStackTrace();
            finish();
        }
    }

    private void setNewImageView(int i) {
        EPLog.m313i("Current page :", String.valueOf(i));
        try {
            this.f334bm = Photo.createBitmapWithUri(this.addImageView.get(i), 1024, Videoio.CAP_PVAPI, false);
            if (this.f334bm != null && this.mImageView != null) {
                if (this.mColorMode == 1) {
                    this.f334bm = Photo.createBitmapWithUri(this.addImageView.get(i), 1024, Videoio.CAP_PVAPI, true);
                }
                this.mImageView.setImageBitmap(this.f334bm);
                System.gc();
            }
        } catch (Exception e) {
            e.printStackTrace();
            this.mUiHandler.sendEmptyMessage(1);
        }
    }

    public void callPrintSetting() {
        try {
            SharedPreferences.Editor edit = getSharedPreferences("PrintSetting", 0).edit();
            edit.putInt(Constants.SOURCE_TYPE, 3);
            edit.commit();
            Intent intent = new Intent(this, SettingScr.class);
            intent.putExtra(PrintProgress.PARAM_DOCUMENT_MODE, true);
            intent.putExtra("SHEETS", this.mFileTotalPages);
            intent.setAction("android.intent.action.VIEW");
            SharedPreferences.Editor edit2 = getSharedPreferences("PrintSetting", 0).edit();
            edit2.putInt(Constants.SOURCE_TYPE, 1);
            edit2.commit();
            startActivityForResult(intent, 6);
        } catch (UnsatisfiedLinkError e) {
            e.printStackTrace();
            this.mUiHandler.sendEmptyMessage(2);
        }
    }

    protected void onResume() {
        EPLog.m316v(TAG, "onResume()");
        super.onResume();
        NfcTagUtils.enableForegroundDispatch(this, (IntentFilter[]) null, (String[][]) null);
        this.paperMissmath.setVisibility(8);
        this.paperSourceInfo.start(this, this.mUiHandler);
    }

    protected void onPause() {
        super.onPause();
        NfcTagUtils.disableForegroundDispatch(this);
        this.paperSourceInfo.stop();
    }

    protected void onNewIntent(Intent intent) {
        NfcTagUtils.EpsonNfcConnectInfo parseNECTag;
        super.onNewIntent(intent);
        if ("android.nfc.action.NDEF_DISCOVERED".equals(intent.getAction()) && (parseNECTag = NfcTagUtils.parseNECTag(this, intent)) != null) {
            Intent intent2 = new Intent();
            intent2.setClass(this, ActivityNfcPrinter.class);
            intent2.putExtra(ActivityNfcPrinter.CONNECTINFO, parseNECTag);
            intent2.putExtra(ActivityNfcPrinter.CHANGEMODE, 1);
            startActivityForResult(intent2, 5);
        }
    }

    protected void onDestroy() {
        super.onDestroy();
        IEpsonService iEpsonService = this.mEpsonService;
        if (iEpsonService != null) {
            try {
                iEpsonService.cancelSearchPrinter();
                this.mEpsonService.unregisterCallback(this.mCallback);
                unbindService(this.mEpsonConnection);
                this.mEpsonService = null;
            } catch (RemoteException e) {
                e.printStackTrace();
            }
        }
    }

    protected void onActivityResult(int i, int i2, Intent intent) {
        EPLog.m316v(TAG, "onActivityResult requestCode = " + i);
        if (i != 255) {
            switch (i) {
                case 5:
                    if (i2 == -1) {
                        this.isRemotePrinter = MyPrinter.isRemotePrinter(this);
                        this.bAutoStartPrint = true;
                        this.mUiHandler.sendEmptyMessage(5);
                        return;
                    }
                    return;
                case 6:
                    if (i2 == 3) {
                        this.isRemotePrinter = MyPrinter.isRemotePrinter(this);
                        setOrentationView(this.mIsPortrait);
                        return;
                    }
                    return;
                default:
                    return;
            }
        } else {
            EPLog.m316v(TAG, "onActivityResult resultCode = " + i2);
            if (i2 == 0) {
                EPLog.m316v(TAG, "finish print = RESULT_CANCELED");
                if (this.isCustomAction) {
                    setResult(0);
                    finish();
                    return;
                }
            } else if (i2 != 4) {
                if (i2 == 1000) {
                    EPLog.m316v(TAG, "finish print = RESULT_ERROR");
                }
                this.mPrint.setEnabled(true);
            }
            EPLog.m316v(TAG, "finish print = END_PRINT");
            this.mReviewInvitationViewModel.onPrintEnd(PrintProgress.isPrintSuccess(i2));
            if (this.isCustomAction) {
                EPLog.m316v(TAG, "*****isCustomAction");
                setResult(-1);
                finish();
                return;
            }
            this.mPrint.setEnabled(true);
        }
    }

    private void loadConfig() {
        SharedPreferences sharedPreferences = getSharedPreferences("PrintSetting", 0);
        PrintSetting printSetting = new PrintSetting(this, PrintSetting.Kind.document);
        printSetting.loadSettings();
        this.paperSize = printSetting.paperSizeValue;
        this.mColorMode = printSetting.colorValue;
        this.mLayout = printSetting.layoutValue;
        this.mLayoutMulti = printSetting.layoutMultiPageValue;
        this.mPaperSize = Info_paper.getInfoPaper(this, this.paperSize);
        MediaInfo.PaperSize paperSize2 = new MediaInfo.PaperSize();
        this.mSizeInfo.setText(getString(paperSize2.getStringId(this.paperSize)));
        paperSize2.destructor();
        this.fileName2User = sharedPreferences.getString(Constants.PRINTER_NAME, getString(R.string.str_lbl_title_scan));
        this.printerId = sharedPreferences.getString(Constants.PRINTER_ID, (String) null);
        this.mStartPage = printSetting.startValue;
        this.mEndPage = printSetting.endValue;
    }

    public void updateTextView() {
        this.mPageNum.setText(this.mCurrentPage + CommonDefine.SLASH + this.mFileTotalPages);
    }

    public void savePageRange2Pre() {
        new PrintSetting(this, (PrintSetting.Kind) null).resetPageRange(1, this.mFileTotalPages);
        this.mStartPage = 1;
        this.mEndPage = this.mFileTotalPages;
        EPLog.m313i("OldStartPage", String.valueOf(this.mStartPage));
        EPLog.m313i("OldEndPage", String.valueOf(this.mEndPage));
    }

    public void onBackPressed() {
        super.onBackPressed();
        ExternalFileUtils.getInstance(this).initTempViewDir();
        if (this.isCustomAction) {
            setResult(0);
        }
    }

    public void invitationDialogClicked(boolean z) {
        this.mReviewInvitationViewModel.setStartStoreEnd();
    }
}
