package epson.print.Util;

import java.io.IOException;
import java.io.RandomAccessFile;
import java.nio.ByteBuffer;
import java.nio.ByteOrder;
import java.nio.channels.FileChannel;
import java.nio.channels.WritableByteChannel;

public class BmpFileInfo {
    static final /* synthetic */ boolean $assertionsDisabled = false;
    private int mBitPerPixel;
    private int mDataOffset;
    private String mFileName;
    private int mFileSize;
    private int mHeaderSize;
    private int mHeight;
    private int mImageDataBytes;
    private RandomAccessFile mOfs;
    private int mWidth;
    private FileChannel mWriteChannel;

    public boolean readParams(String r11) {

        throw new UnsupportedOperationException("Method not decompiled: epson.print.Util.BmpFileInfo.readParams(java.lang.String):boolean");
    }

    public int getFileSize() {
        return this.mFileSize;
    }

    public int getWidth() {
        return this.mWidth;
    }

    public int getHeight() {
        return this.mHeight;
    }

    public int getBitPerPixel() {
        return this.mBitPerPixel;
    }

    public int transferImageData(WritableByteChannel r11) {
        throw new UnsupportedOperationException("Method not decompiled: epson.print.Util.BmpFileInfo.transferImageData(java.nio.channels.WritableByteChannel):int");
    }

    public boolean transferImageData(BmpFileInfo bmpFileInfo) {
        int transferImageData = transferImageData(bmpFileInfo.getWritableChannelChannel());
        if (transferImageData <= 0) {
            return false;
        }
        bmpFileInfo.addSize(transferImageData, this.mHeight);
        return true;
    }

    private void writeHeader(FileChannel fileChannel) throws IOException {
        ByteBuffer allocate = ByteBuffer.allocate(54);
        allocate.clear();
        allocate.order(ByteOrder.LITTLE_ENDIAN);
        allocate.put((byte) 66);
        allocate.put((byte) 77);
        allocate.putInt(this.mFileSize);
        allocate.putShort((short) 0);
        allocate.putShort((short) 0);
        allocate.putInt(this.mDataOffset);
        allocate.putInt(this.mHeaderSize);
        allocate.putInt(this.mWidth);
        allocate.putInt(0);
        allocate.putShort((short) 1);
        allocate.putShort((short) this.mBitPerPixel);
        allocate.putInt(0);
        allocate.putInt(this.mImageDataBytes);
        allocate.putInt(0);
        allocate.putInt(0);
        allocate.putInt(0);
        allocate.putInt(0);
        fileChannel.position(0);
        allocate.rewind();
        fileChannel.write(allocate);
    }

    public boolean prepareAppendData() {
        this.mWriteChannel = null;
        try {
            this.mOfs = new RandomAccessFile(this.mFileName, "rw");
            this.mWriteChannel = this.mOfs.getChannel();
            writeHeader(this.mWriteChannel);
            this.mWriteChannel.position((long) this.mDataOffset);
            return true;
        } catch (IOException e) {
            e.printStackTrace();
            RandomAccessFile randomAccessFile = this.mOfs;
            if (randomAccessFile != null) {
                try {
                    randomAccessFile.close();
                } catch (IOException unused) {
                }
            }
            FileChannel fileChannel = this.mWriteChannel;
            if (fileChannel == null) {
                return false;
            }
            try {
                fileChannel.close();
            } catch (IOException unused2) {
            }
            this.mWriteChannel = null;
            return false;
        }
    }

    public void closeWriteableChannel() {
        FileChannel fileChannel = this.mWriteChannel;
        if (fileChannel != null) {
            try {
                fileChannel.close();
            } catch (IOException unused) {
            }
            this.mWriteChannel = null;
        }
        RandomAccessFile randomAccessFile = this.mOfs;
        if (randomAccessFile != null) {
            try {
                randomAccessFile.close();
            } catch (IOException unused2) {
            }
            this.mOfs = null;
        }
    }
    protected WritableByteChannel getWritableChannelChannel() {
        return this.mWriteChannel;
    }

    public boolean updateHeader() {
        ByteBuffer allocate = ByteBuffer.allocate(38);
        allocate.clear();
        allocate.order(ByteOrder.LITTLE_ENDIAN);
        try {
            this.mWriteChannel.position(0);
            if (((long) this.mWriteChannel.read(allocate)) < 38) {
                FileChannel fileChannel = this.mWriteChannel;
                if (fileChannel != null) {
                    try {
                        fileChannel.close();
                    } catch (IOException unused) {
                    }
                    this.mWriteChannel = null;
                }
                RandomAccessFile randomAccessFile = this.mOfs;
                if (randomAccessFile != null) {
                    try {
                        randomAccessFile.close();
                    } catch (IOException unused2) {
                    }
                    this.mOfs = null;
                }
                return false;
            }
            allocate.position(2);
            allocate.putInt(this.mFileSize);
            allocate.position(22);
            allocate.putInt(this.mHeight);
            allocate.position(34);
            allocate.putInt(this.mImageDataBytes);
            allocate.rewind();
            this.mWriteChannel.position(0);
            this.mWriteChannel.write(allocate);
            FileChannel fileChannel2 = this.mWriteChannel;
            if (fileChannel2 != null) {
                try {
                    fileChannel2.close();
                } catch (IOException unused3) {
                }
                this.mWriteChannel = null;
            }
            RandomAccessFile randomAccessFile2 = this.mOfs;
            if (randomAccessFile2 == null) {
                return true;
            }
            try {
                randomAccessFile2.close();
            } catch (IOException unused4) {
            }
            this.mOfs = null;
            return true;
        } catch (IOException e) {
            e.printStackTrace();
            FileChannel fileChannel3 = this.mWriteChannel;
            if (fileChannel3 != null) {
                try {
                    fileChannel3.close();
                } catch (IOException unused5) {
                }
                this.mWriteChannel = null;
            }
            RandomAccessFile randomAccessFile3 = this.mOfs;
            if (randomAccessFile3 != null) {
                try {
                    randomAccessFile3.close();
                } catch (IOException unused6) {
                }
                this.mOfs = null;
            }
            return false;
        } catch (Throwable th) {
            FileChannel fileChannel4 = this.mWriteChannel;
            if (fileChannel4 != null) {
                try {
                    fileChannel4.close();
                } catch (IOException unused7) {
                }
                this.mWriteChannel = null;
            }
            RandomAccessFile randomAccessFile4 = this.mOfs;
            if (randomAccessFile4 != null) {
                try {
                    randomAccessFile4.close();
                } catch (IOException unused8) {
                }
                this.mOfs = null;
            }
            throw th;
        }
    }
    protected void addSize(int i, int i2) {
        this.mFileSize += i;
        this.mImageDataBytes += i;
        this.mHeight += i2;
    }

    public static BmpFileInfo createH0Instance(int i, int i2, String str) {
        BmpFileInfo bmpFileInfo = new BmpFileInfo();
        bmpFileInfo.mFileName = str;
        bmpFileInfo.mHeaderSize = 40;
        bmpFileInfo.mDataOffset = 54;
        bmpFileInfo.mWidth = i;
        bmpFileInfo.mHeight = 0;
        bmpFileInfo.mBitPerPixel = i2;
        bmpFileInfo.mImageDataBytes = 0;
        bmpFileInfo.mFileSize = bmpFileInfo.mDataOffset;
        return bmpFileInfo;
    }
}
